<?php

include '../../../script/conexion.php';

$nombre_usuario = $_POST['nombre_usuario'];

$fecha = $_POST['fecha'];
$referencia = $_POST['referencia_producto'];
$talla = $_POST['talla'];
$cantidad = $_POST['cantidad'];
$precio_unidad = '0';
$movimiento = $_POST['movimiento'];
$observacion = $_POST['observacion'];
$tipo_novedad = 'Novedad';

//****************SUMAR INVENTARIO*****************************
//NOVEDAD ENTRADA
$sqldisponible = "SELECT SUM(cantidad) as disponible FROM alm_referencia_disponible WHERE referencia_producto='$referencia' AND talla='$talla'";
$querydisponible = $conn->query($sqldisponible);
$rowdisponible = $querydisponible->fetch_assoc();

$stock = $rowdisponible['disponible'];

if ($movimiento == 'Salida') {

    if ($stock >= $cantidad) {
        $sql = "INSERT INTO alm_novedad (id, nombre_usuario, nombre_tercero, fecha, referencia_producto, talla, cantidad, precio_unidad, movimiento, observacion, tipo_novedad) VALUES "
                . "(NULL, '$nombre_usuario', NULL, '$fecha', '$referencia', '$talla', '$cantidad', '$precio_unidad', '$movimiento', '$observacion', '$tipo_novedad')";
        if ($conn->query($sql) === TRUE) {


            $class_referencia = $referencia;
            $class_talla = $talla;

            include '../../../clases/class-referencia.php';

            echo '<script language = javascript>
                        self.location = "../movimiento.php?referencia=' . $referencia . '"
                </script>';
        } else {
            echo "Error: " . $sql . "<br>" . $conn->error;
        }
    } else {
        echo
        '<script language = javascript>
                        alert("Stock insuficiente")
                        self.location = "../movimiento.php?referencia=' . $referencia . '"
                </script>';
    }
} else {
    $sql = "INSERT INTO alm_novedad (id, nombre_usuario, nombre_tercero, fecha, referencia_producto, talla, cantidad, precio_unidad, movimiento, observacion, tipo_novedad) VALUES "
            . "(NULL, '$nombre_usuario', NULL, '$fecha', '$referencia', '$talla', '$cantidad', '$precio_unidad', '$movimiento', '$observacion', '$tipo_novedad')";
    if ($conn->query($sql) === TRUE) {


        $class_referencia = $referencia;
        $class_talla = $talla;

        include '../../../clases/class-referencia.php';

        echo '<script language = javascript>
                        self.location = "../movimiento.php?referencia=' . $referencia . '"
                </script>';
    } else {
        echo "Error: " . $sql . "<br>" . $conn->error;
    }
}





